package com.caimei.www.mapper;

import com.caimei.www.pojo.JsonModel;
import com.caimei.www.pojo.page.ImageLink;
import com.caimei.www.pojo.page.PageContent;
import com.caimei.www.pojo.page.PageFloor;
import com.caimei.www.pojo.save.Suggestion;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/20
 */
@Mapper
public interface SinglePageDao {

    /**
     * 自由页面
     * @param id
     * @return
     */
    PageContent getFreePageById(Integer id);

    /**
     * 二级页面
     * @param id
     * @return
     */
    PageContent getTopicPageById(Integer id);

    /**
     * 二级专题楼层
     * @param id
     * @return
     */
    List<PageFloor> getFloorByPageId(Integer id);

    /**
     * 二级专题楼层下的数据
     * @param floorId
     * @return
     */
    List<ImageLink> getDataByFloorId(Integer floorId);

    /**
     * 专题活动列表数据
     * @return
     */
    List<ImageLink> getPromotionsList();

    /**
     * 采美直播
     * @return
     */
    PageContent getLivePageData();

    /**
     * 获取讲师列表
     * @return
     */
    List<ImageLink> getLiveTeachers();

    /**
     * 根据ID查找帮助页
     * @param id
     * @return
     */
    PageContent getHelpPageById(Integer id);


    /**
     * 保存投诉建议
     * @param suggestion
     * @return
     */
    void suggestionSave(Suggestion suggestion);
    Integer getMaxSuggestionId();


}
